version: '3'
services:
  librarydb:
    image: mariadb
    container_name: librarydb
    restart: unless-stopped
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro
      - /home/library/data:/var/lib/mysql
    environment:
      - MYSQL_ROOT_PASSWORD=password #SQL root Passwort eingeben
      - MYSQL_PASSWORD=library #SQL Benutzer Passwort eingeben
      - MYSQL_DATABASE=library #Datenbank Name
      - MYSQL_USER=libraryUser #SQL Nutzername
      - MYSQL_INITDB_SKIP_TZINFO=1 
    networks:
      - library

  library:
    depends_on: 
      - librarydb
    image: samuel19982/library-rest-controller
    container_name: library
    restart: unless-stopped
    ports:
      - 80:8080
    networks:
      - library
    environment:
      - SPRING_DATASOURCE_URL=jdbc:mysql://librarydb:3306/library
      - SPRING_DATASOURCE_USERNAME=libraryUser
      - SPRING_DATASOURCE_PASSWORD=library
networks:
  library:
    external: true
